M_WeekQuestRewardCFG = {}

function M_WeekQuestRewardCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_WeekQuestRewardCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, NeedScore = 100, RewardItem = {1,16,243}, RewardCount = {100000,50,1}}
	self.datas[2] = {ID = 2, NeedScore = 200, RewardItem = {1,17}, RewardCount = {300000,10}}
	self.datas[3] = {ID = 3, NeedScore = 400, RewardItem = {1,41,243}, RewardCount = {600000,5,1}}
	self.datas[4] = {ID = 4, NeedScore = 600, RewardItem = {1,45}, RewardCount = {1000000,15}}
end

M_WeekQuestRewardCFG:init()
